#include <SPI.h>
#define SS 10

// BME280 T coeffs
unsigned char dig_T[6];
unsigned short dig_T1;
signed short dig_T2, dig_T3;

void BME280_ReadTcoeffs()
{
   digitalWrite(SS, LOW);
   SPI.transfer(0x88 | 0x80); // MSB=1, read
   for (int i=0; i<6; ++i) {
    dig_T [i] = SPI.transfer(0);
    //debug//Serial.print(dig_T[i]);
   }
   digitalWrite(SS, HIGH);
   dig_T1 = dig_T[1]<<8 | dig_T[0];
   dig_T2 = dig_T[3]<<8 | dig_T[2];
   dig_T3 = dig_T[5]<<8 | dig_T[4];
   //* // debug
   Serial.println();
   Serial.print(F("dig_T1 = 0x"));
   Serial.println(dig_T1,HEX);
   Serial.print(F("dig_T2 = 0x"));
   Serial.println(dig_T2,HEX);
   Serial.print(F("dig_T3 = "));
   Serial.println(dig_T3,HEX);
   //*/
}

void setup() {
   Serial.begin(115200);
   SPI.begin();
   SPI.beginTransaction(SPISettings(500000,MSBFIRST,SPI_MODE0));
   pinMode(SS,OUTPUT);
}

void loop() {
   BME280_ReadTcoeffs();
   delay(1000); 
}
